! Starting loop
do i = 1,n
a = b + c(i) * (ax + bx)**2 (a-c(i))*a*bx + &
ax**3 - ax*bx
if (c(i) < 0) then
c(i) = 1
else
c(i) = -1
! extra test
if (a == b) then
a = b + 1
endif
endif
enddo


!
! Starting loop
!
do i = 1,n

  a = b + c(i) * (ax + bx)**2 (a-c(i))*a*bx + &
      ax**3 - ax*bx
  if (c(i) < 0) then
    c(i) = 1
  else
    c(i) = -1
    !
    ! extra test
    !
    if (a == b) then
      a = b + 1
    endif
  endif

enddo

